/**
 * ActClassSupply2.java
 *
 * File generated from the medication2::ActClassSupply2 uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication2;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration ActClassSupply2.
 *
 * 
 */

@XmlType(name = "ActClassSupply")
@XmlEnum
@XmlRootElement(name = "ActClassSupply2")
public enum ActClassSupply2 {
	@XmlEnumValue("SPLY")
	SPLY("SPLY"),
	@XmlEnumValue("DIET")
	DIET("DIET");
	
	private final String value;

    ActClassSupply2(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }
    
    public String getValue() {
        return value;
    }
    
    public static ActClassSupply2 fromValue(String v) {
        for (ActClassSupply2 c: ActClassSupply2.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}
